VMware Communities > VMTN > Desktop Products > VMware Fusion > Discussions
1 2 3 Previous Next
34 Replies Last post: Jun 10, 2008 7:22 AM by Silica V
Reply

How to modify Fusion network settings whitepaper

Aug 9, 2007 3:45 AM

Click to view DaveP's profile Master DaveP 1,360 posts since
Aug 30, 2003
Like others in this forum, I need specific settings for the virtual networks setup on Windows and Linux version of VMware products. In Fusion the simplified installation and configuration means that rather than using the tools in the other versions of VMware, we need to take a different approach for now. Attached is a paper on changing IP address ranges for Fusion.

I will be working on other papers, and possibly new scripts to manage this, but for now I thought it would be useful to post it. Feedback & comments on this thread or via forum messaging would be appreciated, although I will be on vacation next week, with no web access.

Dave
Reply Re: How to modify Fusion network settings whitepaper Aug 9, 2007 5:39 AM
Click to view Pat Lee's profile Master Pat Lee 1,076 posts since
Jan 3, 2007
VMware
Dave,

Thanks for your hard work, this looks great.

Pat
Reply Re: How to modify Fusion network settings whitepaper Aug 12, 2007 11:55 AM
Click to view matthite's profile Novice matthite 7 posts since
Aug 12, 2007
This is great, Dave. I really appreciate it. I am looking forward to part 2! If you have any information on how to configure custom networks for networks other than vmnet1 and vmnet8, please do share.

Thanks!

-M
Reply Re: How to modify Fusion network settings whitepaper Aug 12, 2007 9:30 PM
Click to view dan0016cb's profile Lurker dan0016cb 5 posts since
Jul 20, 2007
Works on the 1.0 release. Thanks a lot for capturing this information!

Looking forward to any tips on adding more host-only vmnets.

Dan
Reply Re: How to modify Fusion network settings whitepaper Aug 20, 2007 9:21 AM
Click to view DaveP's profile Master DaveP 1,360 posts since
Aug 30, 2003
Thanks for the feedback. I will be starting on the next part, adding additional adapters, this week.
Reply Re: How to modify Fusion network settings whitepaper Aug 20, 2007 10:11 AM
in response to: DaveP
Click to view matthite's profile Novice matthite 7 posts since
Aug 12, 2007
Thanks so much! Looking forward to it.
Reply Re: How to modify Fusion network settings whitepaper Aug 21, 2007 6:07 AM
Click to view InactiveX's profile Lurker InactiveX 1 posts since
May 1, 2006
Dave,

Thanks for this - got me out of a hole (in more ways than one).

Jason
Reply Re: How to modify Fusion network settings whitepaper Aug 21, 2007 12:25 PM
in response to: InactiveX
Click to view HogHerder's profile Lurker HogHerder 3 posts since
Aug 21, 2007
DaveP -- great work, please send anything you can on configuring additional virtual adapters to Fusion ASAP!
Reply Re: How to modify Fusion network settings whitepaper Aug 28, 2007 7:42 AM
Click to view DaveP's profile Master DaveP 1,360 posts since
Aug 30, 2003
Here's the first quick update on adding a new bridged adapter and configuring the VMX file. Assumes that you have en0 and en1 adapters and that we will be using vmnet2 for 2nd bridged adapter. Please note if you are not comfortable editing bash scripts then best leave well alone. Please read the whitepaper first so you know where the files are located.

1. Edit boot.sh to add the following lines into the main procedure. Goto line 591 which should look like this:

[code]
# vmnet-bridge puts itself in background (daemon mode)
# Bridge to host network interface 'en0'.
#"$LIBDIR/vmnet-bridge" -d /var/run/vmnet-bridge-vmnet0.pid vmnet0 en0
# Bridge to the primary host network interface (which can change over time).
"$LIBDIR/vmnet-bridge" -d /var/run/vmnet-bridge-vmnet0.pid vmnet0 ''
;;

--stop)
logger -s -t "VMware Fusion 51348" "Shutting down VMware Fusion: "

# First attempt to synchronously kill the daemons this script had launched.
vmware_stop_pidfile /var/run/vmnet-bridge-vmnet0.pid || true
vmware_stop_pidfile /var/run/vmnet-dhcpd-vmnet1.pid || true
vmware_stop_pidfile /var/run/vmnet-dhcpd-vmnet8.pid || true
vmware_stop_pidfile /var/run/vmnet-natd-vmnet8.pid || true
vmware_stop_pidfile /var/run/vmnet-netif-vmnet1.pid || true
vmware_stop_pidfile /var/run/vmnet-netif-vmnet8.pid || true
[/code]
You need to comment out line 595 and then add the lines shown below so that it matches the second code block.

[code]
# vmnet-bridge puts itself in background (daemon mode)
# Bridge to host network interface 'en0'.
#"$LIBDIR/vmnet-bridge" -d /var/run/vmnet-bridge-vmnet0.pid vmnet0 en0
# Bridge to the primary host network interface (which can change over time).
#"$LIBDIR/vmnet-bridge" -d /var/run/vmnet-bridge-vmnet0.pid vmnet0 ''
"$LIBDIR/vmnet-bridge" -d /var/run/vmnet-bridge-vmnet0.pid vmnet0 en0
"$LIBDIR/vmnet-bridge" -d /var/run/vmnet-bridge-vmnet2.pid vmnet2 en1
;;

--stop)
logger -s -t "VMware Fusion 51348" "Shutting down VMware Fusion: "

# First attempt to synchronously kill the daemons this script had launched.
vmware_stop_pidfile /var/run/vmnet-bridge-vmnet0.pid || true
vmware_stop_pidfile /var/run/vmnet-bridge-vmnet2.pid || true
vmware_stop_pidfile /var/run/vmnet-dhcpd-vmnet1.pid || true
vmware_stop_pidfile /var/run/vmnet-dhcpd-vmnet8.pid || true
vmware_stop_pidfile /var/run/vmnet-natd-vmnet8.pid || true
vmware_stop_pidfile /var/run/vmnet-netif-vmnet1.pid || true
vmware_stop_pidfile /var/run/vmnet-netif-vmnet8.pid || true
[/code]
The difference is shown in the diff patch below:

[code]--- boot.sh.bk! 2007-08-27 18:51:41.000000000 +0100
+++ boot.sh 2007-08-28 14:40:47.000000000 +0100
@@ -592,7 +592,9 @@ case "$1" in
# Bridge to host network interface 'en0'.
#"$LIBDIR/vmnet-bridge" -d /var/run/vmnet-bridge-vmnet0.pid vmnet0 en0
# Bridge to the primary host network interface (which can change over time).
- "$LIBDIR/vmnet-bridge" -d /var/run/vmnet-bridge-vmnet0.pid vmnet0 ''
+ #"$LIBDIR/vmnet-bridge" -d /var/run/vmnet-bridge-vmnet0.pid vmnet0 ''
+ "$LIBDIR/vmnet-bridge" -d /var/run/vmnet-bridge-vmnet0.pid vmnet0 en0
+ "$LIBDIR/vmnet-bridge" -d /var/run/vmnet-bridge-vmnet2.pid vmnet2 en2
;;

--stop)
@@ -600,6 +602,7 @@ case "$1" in

# First attempt to synchronously kill the daemons this script had launched.
vmware_stop_pidfile /var/run/vmnet-bridge-vmnet0.pid || true
+ vmware_stop_pidfile /var/run/vmnet-bridge-vmnet2.pid || true
vmware_stop_pidfile /var/run/vmnet-dhcpd-vmnet1.pid || true
vmware_stop_pidfile /var/run/vmnet-dhcpd-vmnet8.pid || true
vmware_stop_pidfile /var/run/vmnet-natd-vmnet8.pid || true

[/code]
2. Restart Fusion daemons with:
[code]boot.sh --restart[/code]
3. Modify your VMX file for the guest you want to use. In my example it is a Windows XP guest with ethernet0-->bridged vmnet0 and ethernet1-->bridged vmnet2. Edit the VMX file, after showing package contents on vmwarevm package.

[code]
ethernet0.connectionType = "bridged"
ethernet0.present = "TRUE"
ethernet0.wakeOnPcktRcv = "FALSE"
ethernet1.connectionType = "custom"
ethernet1.present = "TRUE"
ethernet1.vnet = "vmnet2"
ethernet1.wakeOnPcktRcv = "FALSE"
[/code]
Power on and hopefully you should have 2 bridged network adapters. Here's my output from guest:

[code]
Ethernet adapter Local Area Connection:

Connection-specific DNS Suffix . :
Description . . . . . . . . . . . : VMware Accelerated AMD PCNet Adapter

Physical Address. . . . . . . . . : 00-0C-29-BA-EC-BB
Dhcp Enabled. . . . . . . . . . . : Yes
Autoconfiguration Enabled . . . . : Yes
IP Address. . . . . . . . . . . . : 10.101.0.102
Subnet Mask . . . . . . . . . . . : 255.255.0.0
Default Gateway . . . . . . . . . : 10.101.0.1
DHCP Server . . . . . . . . . . . : 10.101.0.2
DNS Servers . . . . . . . . . . . : 158.43.240.4
158.43.240.3
Lease Obtained. . . . . . . . . . : Tuesday, August 28, 2007 8:38:26 AM
Lease Expires . . . . . . . . . . : Friday, August 31, 2007 8:38:26 AM

Ethernet adapter Local Area Connection 2:

Connection-specific DNS Suffix . :
Description . . . . . . . . . . . : VMware Accelerated AMD PCNet Adapter

Physical Address. . . . . . . . . : 00-0C-29-BA-EC-C5
Dhcp Enabled. . . . . . . . . . . : Yes
Autoconfiguration Enabled . . . . : Yes
IP Address. . . . . . . . . . . . : 10.101.0.103
Subnet Mask . . . . . . . . . . . : 255.255.0.0
Default Gateway . . . . . . . . . : 10.101.0.1
DHCP Server . . . . . . . . . . . : 10.101.0.2
DNS Servers . . . . . . . . . . . : 158.43.240.4
158.43.240.3
Lease Obtained. . . . . . . . . . : Tuesday, August 28, 2007 8:38:26 AM
Lease Expires . . . . . . . . . . : Friday, August 31, 2007 8:38:26 AM
[/code]
I will be working on other scenarios and of course updating the paper with this.

Cheers

Dave

Reply Re: How to modify Fusion network settings whitepaper Sep 8, 2007 1:46 PM
in response to: DaveP
Click to view QuiLoxx's profile Lurker QuiLoxx 2 posts since
May 2, 2006
If you come up with how to create another NAT interface - please post that as well...

What I really need - is another virtual network - like VMNet8 where my MAC can communicate with 2 VMs, and both VMs can communicate with each other as well. Getting out to the rest of the world is a secondary concern - so NAT is not truly required.

Thanks for posting all that you have!

-Aaron
Reply Re: How to modify Fusion network settings whitepaper Sep 9, 2007 5:42 AM
in response to: QuiLoxx
Click to view DaveP's profile Master DaveP 1,360 posts since
Aug 30, 2003
I have a modified set of scripts which should do what you want. However, I want to check with VMware that they are happy for me to release them, as it uses parts of the VMware Workstation 6 Linux scripts. Using these scripts you can add or remove bridged, host and NAT adapters. Also I haven't written much on how to use them yet, which I would like to get done before releasing them.
Reply Re: How to modify Fusion network settings whitepaper Sep 11, 2007 11:57 AM
in response to: DaveP
Click to view QuiLoxx's profile Lurker QuiLoxx 2 posts since
May 2, 2006
Thank you for the reply!

if you can provide those scripts, I would greatly appreciate it... Otherwise, if you can point me to the right documentation to discuss how to do this manually - I would also appreciate it!

I have not been able to find this in the Fusion or the Workstation documentation... :(

Thanks!

-A
Reply Re: How to modify Fusion network settings whitepaper Sep 11, 2007 3:06 PM
Click to view vdanen's profile Enthusiast vdanen 77 posts since
Jan 24, 2005
Dave, I think your whitepaper is fantastic, and I'm working on a wiki page with some information on various tweaks and tips and whatnot for Fusion.

I don't want to take your work verbatim, but I'd like to know if I can base some of what I'm writing on your observations and your white-paper (although I'll probably end up dummying it up a bit so that there isn't as much technical stuff... more of a "howto" than a full understanding type thing).

Would you mind terribly if I did so? I've already got some tips on there about xorg.conf and modprobe.conf settings, so I've been concentrating so far on the Linux guests, but I'd like to flesh out the page to cover as many troubleshooting/tweaking tips as possible.
Reply Re: How to modify Fusion network settings whitepaper Sep 12, 2007 12:55 AM
in response to: QuiLoxx
Click to view DaveP's profile Master DaveP 1,360 posts since
Aug 30, 2003
Hi

Give me a couple of days and I'll PM you with them. I haven't quite finished the Bash script for starting the services. There is nodocumentation on this, that was what I was writing as well.

Dave
Reply Re: How to modify Fusion network settings whitepaper Sep 12, 2007 12:56 AM
in response to: vdanen
Click to view DaveP's profile Master DaveP 1,360 posts since
Aug 30, 2003
I also have a web site which I am going to be updating with this information. I don't mind you using it but would appreciate that it is correctly attributed to my paper which is copyrighted. If you want to discuss more then either PM or email me,

Cheers

Dave
1 2 3 Previous Next
Actions